<!DOCTYPE HTML>
<html>
<body>
<p>Перед скриптом...</p>
<script>
    let initial = ["Julius"];

    // prompt запустится только для surname
    // age получит значение по умолчанию, а gender останется неопределённым
    let [name = prompt('name?'), surname = prompt('surname?'), age = "18", gender] = initial;

    alert(name);    // Julius (из массива)
    alert(surname); // результат prompt
    alert(age); // 18
    alert(gender); // undefiend
</script>
<p>...После скрипта.</p>
</body>
</html>
